isotope:
  version: '1.0'
  js:
    js/isotope.js: {}
  css:
    component:
      css/isotope.css: {}
  dependencies:
    - isotope/isotope-layout

isotope-example:
  version: '1.0'
  css:
    component:
      css/isotope_example.css: {}

#
# Third-party libraries. The CDN links are a fallback. We'll replace them with
# library API files if possible.
#

# Detect when images have been loaded.
imagesloaded:
  remote: https://github.com/desandro/imagesloaded
  version: 4.1.1
  license:
    name: MIT
    url: https://github.com/desandro/imagesloaded/
    gpl-compatible: true
  js:
    //cdnjs.cloudflare.com/ajax/libs/jquery.imagesloaded/4.1.1/imagesloaded.pkgd.min.js: { type: external, minified: true }
  dependencies:
    - core/jquery

# A horizontal grid layout where items are centered inside each cell.
isotope-cells-by-column:
  remote: https://github.com/metafizzy/isotope-cells-by-column
  version: 1.1.3
  license:
    name: GPLv3
    url: 'http://isotope.metafizzy.co/#license'
    gpl-compatible: true
  js:
    # @TODO: Find a CDN fallback for this.
    /libraries/isotope-cells-by-column/cells-by-column.js: {}

# A grid layout where items are centered inside each cell.
isotope-cells-by-row:
  remote: https://github.com/metafizzy/isotope-cells-by-row
  version: 1.1.3
  license:
    name: GPLv3
    url: 'http://isotope.metafizzy.co/#license'
    gpl-compatible: true
  js:
    # @TODO: Find a CDN fallback for this.
    /libraries/isotope-cells-by-row/cells-by-row.js: {}

# Items are arranged into columns. Columns progress horizontally. fitColumns is ideal for items that have the same width.
isotope-fit-columns:
  remote: https://github.com/metafizzy/isotope-fit-columns
  version: 1.1.3
  license:
    name: GPLv3
    url: 'http://isotope.metafizzy.co/#license'
    gpl-compatible: true
  js:
    # @TODO: Find a CDN fallback for this.
    /libraries/isotope-fit-columns/fit-columns.js: {}

# Items are arranged horizontally.
isotope-horizontal:
  remote: https://github.com/metafizzy/isotope-horizontal
  version: 2.0.0
  license:
    name: GPLv3
    url: 'http://isotope.metafizzy.co/#license'
    gpl-compatible: true
  js:
    # @TODO: Find a CDN fallback for this.
    /libraries/isotope-horizontal/horizontal.js: {}

# The primary isotope package, including masonry.
isotope-layout:
  remote: https://github.com/metafizzy/isotope
  version: 3.0.1
  license:
    name: GPLv3
    url: 'http://isotope.metafizzy.co/#license'
    gpl-compatible: true
  js:
    //cdnjs.cloudflare.com/ajax/libs/jquery.isotope/3.0.1/isotope.pkgd.min.js: { type: external, minified: true }

# The horizontal version of masonry. It works by placing elements in optimal position based on available horizontal space.
isotope-masonry-horizontal:
  remote: https://github.com/metafizzy/isotope-masonry-horizontal
  version: 2.0.0
  license:
    name: GPLv3
    url: 'http://isotope.metafizzy.co/#license'
    gpl-compatible: true
  js:
    # @TODO: Find a CDN fallback for this.
    /libraries/isotope-masonry-horizontal/masonry-horizontal.js: {}

# The packery layout mode uses a bin-packing algorithm. This is a fancy way of saying “it fills empty gaps.”
packery:
  remote: https://github.com/metafizzy/packery
  version: 2.1.1
  license:
    name: GPLv3
    url: 'http://packery.metafizzy.co/#open-source-license'
    gpl-compatible: true
  js:
    //cdnjs.cloudflare.com/ajax/libs/packery/2.1.1/packery.pkgd.min.js: { type: external, minified: true }
